<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table7', function (Blueprint $table) {
            $table->id('DatasetTable7Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('tebel_tanah')->nullable();
            $table->string('ambang_kritis_erosi')->nullable();
            $table->string('besaran_erosi')->nullable();
            $table->string('status')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table7s');
    }
};
